$(window).on('load', function()
	{
		$(this).getPerfilAjax()
	})
	
	$.fn.getPerfilAjax = function()
	{
		var url = base_url + 'sistema/perfil/consulta_perfil_ajax';
		var id_perfil = $('input[name=id_perfil]').val();
			
		// Request
		var data = {
			id_perfil: id_perfil
		};
		
		$.ajax({
			url: url,
			dataType: 'json',
			type: 'POST',
			data: data,
			success: function(success)
			{	
				if(success.result == true)
				{
					$.each(success.modulos, function(index, value)
					{
						$('select[name="'+value.key+'"]').children('option[value='+value.value+']').prop('selected',true);
					})

					$(".chosen-select-95").trigger('chosen:updated');
					$('select[data-level=4]').trigger('change');
				}
			},
			error: function(error)
			{
				/*$("body").css("cursor", "auto");
				$('.message').remove()
				lmsg.html('<div class="message login-warning bg-warning"><p>Falha de Comunicação com o Servidor.</p></div>');*/
			}
		})
	}